{% extends 'layout.html' %}

{% block title %}
ARPA MPC Demo
{% endblock %}

{% block head %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script>
    $(document).ready(function () {
        (function worker() {
            $.ajax({
                dataType: "json",
                url: "/check_setup_status",
                data: { request_id: "{{ request_id }}" },
                success: function (data) {
                    if (data["result"]) {
                        $('#result').text('Status:\n' + data['result']);
                        if (data["result"] == "DONE") {
                            $('#title').text('The MPC instance setup succeeded!');
                            window.location.href = "/start_mpc/{{ request_id }}";
                        } else {
                            setTimeout(worker, 5000);
                        }
                    }
                },
                error: function (XMLHttpRequest, textStatus, error) {
                    document.getElementById("result").innerHTML =
                        "Sorry, there is an error occurred. See the details below: \n" + error;
                }
            });
        })();
    });
</script>
{% endblock %}

{% block body %}
<div id="container" class="container">
    <div class="card board-0 animated slideInUp" style="margin-top:15px;">
        <div class="card card-header align-items-center">
            <h2 id="title">Setting up an MPC instance</h2>
        </div>
    </div>

    <div class="card card-body align-items-center animated slideInUp" style="margin-top:15px;">
        <p id="result">Setting up an MPC instance</p>
        <div class="row align-items-center" style="height:100px;">
            <div class="col ball-pulse-rise">
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
                <div class="bg-dark"></div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
